## org.ascape.util
Interface HasName

All Known Subinterfaces:
  ColorFeature, DataPoint, PlatformDrawFeature, ScapeCustomizer, ScapeListener

All Known Implementing Classes:
  AbstractUIEnvironment, Agent, AgentView, AscapeObject, BasicCell, BasicModel, BasicMovementAgent, BasicMovementModel, BasicMovementStateAgent, Block, Bug, Bug, Bug, Bug, BugStyle2DGraphics, BugStyle2DGraphics, BugStyle2DGraphics, BugStyle2DGraphics, Cell, CellOccupant, CellView, ChartView, City, City3D, CityStyle2DGraphics, CollectionSpace.ClosestDataPoint, CollectStats, ColorFeatureConcrete, ColorFeatureFixed, ColorFeatureGradiated, ColorFeatureGradiatedIndex, ComplexLocation, ComplexMovementAgent, ConsoleOutView, CooperateDefectStyleGraphics, DataOutputView, DataPointComparator, DataPointConcrete, DataSeries, DataSeriesStore, DataView, DefaultScapeListener, DemographicPrisonersDilemma, DemographicPrisonersDilemma3D, Diffusion, DrawColorFeature, DrawFeature, DrawSymbol, EditPartFactoryScapeView, EditPartScapeView, EMFDataOutputView, Epidemic, Epidemic, Epidemic, Epidemic3D, Epidemic3D, Epidemic3D, Epidemic3DTiles, EpidemicPeriods, ExecuteThenUpdate, FillCellFeature, Firm, FirmStyle2DGraphics, FixedAgentStretchyView, FixedStretchyView, Flea, FleaStyle2DGraphics, GAS_Base, GEF3DView, GEFView, GraphicsView, GraphView, Habitat, Habitat, Habitat, Habitat, HabitatStyle2DGraphics, HabitatStyle2DGraphics, HabitatStyle2DGraphics, HabitatStyle2DGraphics, HeatBug, Heatbugs, Heatbugs3D, Heatbugs3DCustom, HeatBugStyle2DGraphics, HeatCell, HeatCellStyle2DGraphics, HistoryValueSetter, HostCell, HostedAgentView, Individual, Individual, Individual, Individual, Individual, IndividualStyle2DGraphics, IndividualStyle2DGraphics, IndividualStyle2DGraphics, IndividualStyle2DGraphics, Instrument, InstrumentStyle2DGraphics, LocatedAgent, Markets, Markets3D, MethodsAgent, ModelScapeView, ModelWrapperScapeListener, MomentumAgent, MoveRandomWithin, MovingStretchyView, NonGraphicView, NonGraphicViewDelegate, NotifyViews, NotifyViewsEvent, OperationsAgent, Overhead2DContinuousView, Overhead2DView, Overhead2DView, OverheadRelative2DView, ParameterControlView, ParameterizedDiffusion, Place, Place, PlaceStyle2D, PlayCell, PlayCellStyleGraphics, Player, Plot2DView, Propogate, PropogateScapeOnly, Query, Rat, RatStyle2DGraphics, Region, Region3D, RegionalLocation, Rule, RuntimeEnvironment, Scape, ScapeFromFileView, ScapeFromXMLView, ScapeListenerDelegate, ScapeOutputView, ScapeStateView, ScapeTransitionListener, Scrolling1DView, SearchRule, SetValues, SimpleDrawGraphics, SimplexFeature, SimplexView, SimplexView.ConcreteSimplexFeature, SpatialModel, StandardOutView, StatCollector, StatCollectorCalculated, StatCollectorCond, StatCollectorCondCSA, StatCollectorCondCSAMM, StatCollectorCondCSAMMVar, StatCollectorCSA, StatCollectorCSAMM, StatCollectorCSAMMVar, StateAgent, StretchyView, StupidModel1, StupidModel13D, StupidModel2, StupidModel23D, StupidModel3, StupidModel33D, StupidModel5, StupidModel53D, SugarAgent, SugarCell, SweepControlView, Trader, TraderStyle2DGraphics, UnitIntervalDataPoint, ValueSetter, WikiExample, WikiExample3D

    public interface HasName

An interface declaring that an instance of a class has a name. Note that a name is not the same as the string typically returned by `toString()`. Instead, it is an in context name with significance to the user. For example, an instance of Foo might return "Foo 23A" for `toString`, but "Fred" for `getName()`.

Since:
  1.0
Version:
  1.0
Author:
  Miles Parker

Method Summary
`java.lang.String` `getName()` Returns the of the object.

Method Detail

### getName

    java.lang.String getName()

  Returns the of the object.